Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.experiment
Class OutputZipper

    java.lang.Object
      weka.experiment.OutputZipper

    public class OutputZipper

extends java.lang.Object

OutputZipper writes output to either gzipped files or to a multi entry zip file. If the destination file is a directory each output string will be written to an individually named gzip file. If the destination file is a file, then each output string is appended as a named entry to the zip file until finished() is called to close the file.

Version:
  $Revision: 1.5 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)

Constructor Summary
`OutputZipper(java.io.File destination)` Constructor.

Method Summary
`void` | `finished()` Closes the zip file.
`static void` | `main(java.lang.String[] args)` Main method for testing this class
`void` | `zipit(java.lang.String outString, java.lang.String name)` Saves a string to either an individual gzipped file or as an entry in a zip file.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputZipper

    public OutputZipper(java.io.File destination)
                 throws java.lang.Exception

  Constructor.

  Parameters:
    `a` - destination file or directory
  Throws:
    `java.lang.Exception` - if something goes wrong.

Method Detail

### zipit

    public void zipit(java.lang.String outString,
                      java.lang.String name)
               throws java.lang.Exception

  Saves a string to either an individual gzipped file or as an entry in a zip file.

  Parameters:
    `outString` - the output string to save
    `the` - name of the file/entry to save it to
  Throws:
    `java.lang.Exception` - if something goes wrong

### finished

    public void finished()
                  throws java.lang.Exception

  Closes the zip file.

  Throws:
    `java.lang.Exception` - if something goes wrong

### main

    public static void main(java.lang.String[] args)

  Main method for testing this class

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD